sh_lines.d(1m)

NAME
sh_lines.d - trace Bourne shell line execution using DTrace.

SYNOPSIS
sh_lines.d

DESCRIPTION
This traces shell activity from all Bourne shells on the system that are running with sh provider support. Filenames are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Shell provider, which may change as additional features are introduced. Check Shell/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # sh_lines.d

FIELDS

FILE
    Filename of the shell or shellscript

LINE
    Line number

COUNT
    Number of times a line was executed

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
sh_lines.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)